Bug 526140 - ValueError: need more than 1 value to unpack
Summary: ValueError: need more than 1 value to unpack
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-date
Version: 12
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: firstboot_trace_hash:86a11a344c8bd8cf...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-29 02:51 UTC by Jens Petersen
Modified: 2010-11-19 02:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-19 02:50:15 UTC


Attachments (Terms of Use)
Attached traceback automatically from firstboot. (4.18 KB, text/plain)
2009-09-29 02:51 UTC, Jens Petersen
no flags Details

Description Jens Petersen 2009-09-29 02:51:29 UTC
The following was filed automatically by firstboot:
firstboot 1.109 exception report
Traceback (most recent call last):
  File "/usr/share/system-config-date/scdMainWindow.py", line 207, in custom_handler
    return module.custom_widgets[function_name] (glade)
  File "/usr/share/system-config-date/timezone_gui.py", line 43, in timezone_widget_create
    widget = TimezoneMap(zonetab.ZoneTab (), default, map=mappath, tzActionLabel = tzActionLabel)
  File "/usr/share/system-config-date/timezone_map_gui.py", line 326, in __init__
    self.timezone_list_init (default)
  File "/usr/share/system-config-date/timezone_map_gui.py", line 174, in timezone_list_init
    tz_root_str, tz_node_str = _(entry.tz).rsplit ('/', 1)
ValueError: need more than 1 value to unpack

Comment 1 Jens Petersen 2009-09-29 02:51:39 UTC
Created attachment 362956 [details]
Attached traceback automatically from firstboot.

Comment 2 Bug Zapper 2009-11-16 13:02:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-11-04 09:46:42 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Jens Petersen 2010-11-19 02:50:15 UTC
Guess this is long fixed - closing.


Note You need to log in before you can comment on or make changes to this bug.